package com.sf._02_抽象类练习;

public abstract class Shape {
    // 计算面积
    public abstract double calculateArea();

    // 普通方法
    public void showInfo(){
        System.out.println("这是一个图形");
    }
}
